# RollingPolicy Class Reference

Inherits OptionHandler.

Inherited by RollingPolicyBase `[virtual]`.

List of all members.

## Detailed Description

A `RollingPolicy` is responsible for performing the rolling over of the active log file.

The `RollingPolicy` is also responsible for providing the active log file, that is the live file where logging output will be directed.

## Public Member Functions

virtual | ~RollingPolicy ()
virtual RolloverDescriptionPtr | initialize (const LogString &file, const bool append, log4cxx::helpers::Pool &p)=0
| Initialize the policy and return any initial actions for rolling file appender.
virtual RolloverDescriptionPtr | rollover (const LogString &activeFile, log4cxx::helpers::Pool &p)=0
| Prepare for a rollover.

## Constructor & Destructor Documentation

virtual ~RollingPolicy | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual RolloverDescriptionPtr initialize | ( | const LogString & | file,
|  | const bool | append,
|  | log4cxx::helpers::Pool & | p
| ) | `[pure virtual]`

Initialize the policy and return any initial actions for rolling file appender.

Parameters:

  | file | current value of RollingFileAppender.getFile().
  | append | current value of RollingFileAppender.getAppend().
  | p | pool for memory allocations during call.

Returns:
  Description of the initialization, may be null to indicate no initialization needed.

Exceptions:

  | SecurityException | if denied access to log files.

Implemented in FixedWindowRollingPolicy, and TimeBasedRollingPolicy.

virtual RolloverDescriptionPtr rollover | ( | const LogString & | activeFile,
|  | log4cxx::helpers::Pool & | p
| ) | `[pure virtual]`

Prepare for a rollover.

This method is called prior to closing the active log file, performs any necessary preliminary actions and describes actions needed after close of current log file.

Parameters:

  | activeFile | file name for current active log file.
  | p | pool for memory allocations during call.

Returns:
  Description of pending rollover, may be null to indicate no rollover at this time.

Exceptions:

  | SecurityException | if denied access to log files.

Implemented in FixedWindowRollingPolicy, and TimeBasedRollingPolicy.

The documentation for this class was generated from the following file:

- rollingpolicy.h